<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2021-12-03 Fri 15:43 -->
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>Installing Manjaro in Dual Booting Environment</title>
<meta name="author" content="dt" />
<meta name="description" content="Guest Articles - Installing Manjaro in Dual Booting Environment
Header" />
<meta name="generator" content="Org Mode" />
<style>
  #content { max-width: 60em; margin: auto; }
  .title  { text-align: center;
             margin-bottom: .2em; }
  .subtitle { text-align: center;
              font-size: medium;
              font-weight: bold;
              margin-top:0; }
  .todo   { font-family: monospace; color: red; }
  .done   { font-family: monospace; color: green; }
  .priority { font-family: monospace; color: orange; }
  .tag    { background-color: #eee; font-family: monospace;
            padding: 2px; font-size: 80%; font-weight: normal; }
  .timestamp { color: #bebebe; }
  .timestamp-kwd { color: #5f9ea0; }
  .org-right  { margin-left: auto; margin-right: 0px;  text-align: right; }
  .org-left   { margin-left: 0px;  margin-right: auto; text-align: left; }
  .org-center { margin-left: auto; margin-right: auto; text-align: center; }
  .underline { text-decoration: underline; }
  #postamble p, #preamble p { font-size: 90%; margin: .2em; }
  p.verse { margin-left: 3%; }
  pre {
    border: 1px solid #e6e6e6;
    border-radius: 3px;
    background-color: #f2f2f2;
    padding: 8pt;
    font-family: monospace;
    overflow: auto;
    margin: 1.2em;
  }
  pre.src {
    position: relative;
    overflow: auto;
  }
  pre.src:before {
    display: none;
    position: absolute;
    top: -8px;
    right: 12px;
    padding: 3px;
    color: #555;
    background-color: #f2f2f299;
  }
  pre.src:hover:before { display: inline; margin-top: 14px;}
  /* Languages per Org manual */
  pre.src-asymptote:before { content: 'Asymptote'; }
  pre.src-awk:before { content: 'Awk'; }
  pre.src-authinfo::before { content: 'Authinfo'; }
  pre.src-C:before { content: 'C'; }
  /* pre.src-C++ doesn't work in CSS */
  pre.src-clojure:before { content: 'Clojure'; }
  pre.src-css:before { content: 'CSS'; }
  pre.src-D:before { content: 'D'; }
  pre.src-ditaa:before { content: 'ditaa'; }
  pre.src-dot:before { content: 'Graphviz'; }
  pre.src-calc:before { content: 'Emacs Calc'; }
  pre.src-emacs-lisp:before { content: 'Emacs Lisp'; }
  pre.src-fortran:before { content: 'Fortran'; }
  pre.src-gnuplot:before { content: 'gnuplot'; }
  pre.src-haskell:before { content: 'Haskell'; }
  pre.src-hledger:before { content: 'hledger'; }
  pre.src-java:before { content: 'Java'; }
  pre.src-js:before { content: 'Javascript'; }
  pre.src-latex:before { content: 'LaTeX'; }
  pre.src-ledger:before { content: 'Ledger'; }
  pre.src-lisp:before { content: 'Lisp'; }
  pre.src-lilypond:before { content: 'Lilypond'; }
  pre.src-lua:before { content: 'Lua'; }
  pre.src-matlab:before { content: 'MATLAB'; }
  pre.src-mscgen:before { content: 'Mscgen'; }
  pre.src-ocaml:before { content: 'Objective Caml'; }
  pre.src-octave:before { content: 'Octave'; }
  pre.src-org:before { content: 'Org mode'; }
  pre.src-oz:before { content: 'OZ'; }
  pre.src-plantuml:before { content: 'Plantuml'; }
  pre.src-processing:before { content: 'Processing.js'; }
  pre.src-python:before { content: 'Python'; }
  pre.src-R:before { content: 'R'; }
  pre.src-ruby:before { content: 'Ruby'; }
  pre.src-sass:before { content: 'Sass'; }
  pre.src-scheme:before { content: 'Scheme'; }
  pre.src-screen:before { content: 'Gnu Screen'; }
  pre.src-sed:before { content: 'Sed'; }
  pre.src-sh:before { content: 'shell'; }
  pre.src-sql:before { content: 'SQL'; }
  pre.src-sqlite:before { content: 'SQLite'; }
  /* additional languages in org.el's org-babel-load-languages alist */
  pre.src-forth:before { content: 'Forth'; }
  pre.src-io:before { content: 'IO'; }
  pre.src-J:before { content: 'J'; }
  pre.src-makefile:before { content: 'Makefile'; }
  pre.src-maxima:before { content: 'Maxima'; }
  pre.src-perl:before { content: 'Perl'; }
  pre.src-picolisp:before { content: 'Pico Lisp'; }
  pre.src-scala:before { content: 'Scala'; }
  pre.src-shell:before { content: 'Shell Script'; }
  pre.src-ebnf2ps:before { content: 'ebfn2ps'; }
  /* additional language identifiers per "defun org-babel-execute"
       in ob-*.el */
  pre.src-cpp:before  { content: 'C++'; }
  pre.src-abc:before  { content: 'ABC'; }
  pre.src-coq:before  { content: 'Coq'; }
  pre.src-groovy:before  { content: 'Groovy'; }
  /* additional language identifiers from org-babel-shell-names in
     ob-shell.el: ob-shell is the only babel language using a lambda to put
     the execution function name together. */
  pre.src-bash:before  { content: 'bash'; }
  pre.src-csh:before  { content: 'csh'; }
  pre.src-ash:before  { content: 'ash'; }
  pre.src-dash:before  { content: 'dash'; }
  pre.src-ksh:before  { content: 'ksh'; }
  pre.src-mksh:before  { content: 'mksh'; }
  pre.src-posh:before  { content: 'posh'; }
  /* Additional Emacs modes also supported by the LaTeX listings package */
  pre.src-ada:before { content: 'Ada'; }
  pre.src-asm:before { content: 'Assembler'; }
  pre.src-caml:before { content: 'Caml'; }
  pre.src-delphi:before { content: 'Delphi'; }
  pre.src-html:before { content: 'HTML'; }
  pre.src-idl:before { content: 'IDL'; }
  pre.src-mercury:before { content: 'Mercury'; }
  pre.src-metapost:before { content: 'MetaPost'; }
  pre.src-modula-2:before { content: 'Modula-2'; }
  pre.src-pascal:before { content: 'Pascal'; }
  pre.src-ps:before { content: 'PostScript'; }
  pre.src-prolog:before { content: 'Prolog'; }
  pre.src-simula:before { content: 'Simula'; }
  pre.src-tcl:before { content: 'tcl'; }
  pre.src-tex:before { content: 'TeX'; }
  pre.src-plain-tex:before { content: 'Plain TeX'; }
  pre.src-verilog:before { content: 'Verilog'; }
  pre.src-vhdl:before { content: 'VHDL'; }
  pre.src-xml:before { content: 'XML'; }
  pre.src-nxml:before { content: 'XML'; }
  /* add a generic configuration mode; LaTeX export needs an additional
     (add-to-list 'org-latex-listings-langs '(conf " ")) in .emacs */
  pre.src-conf:before { content: 'Configuration File'; }

  table { border-collapse:collapse; }
  caption.t-above { caption-side: top; }
  caption.t-bottom { caption-side: bottom; }
  td, th { vertical-align:top;  }
  th.org-right  { text-align: center;  }
  th.org-left   { text-align: center;   }
  th.org-center { text-align: center; }
  td.org-right  { text-align: right;  }
  td.org-left   { text-align: left;   }
  td.org-center { text-align: center; }
  dt { font-weight: bold; }
  .footpara { display: inline; }
  .footdef  { margin-bottom: 1em; }
  .figure { padding: 1em; }
  .figure p { text-align: center; }
  .equation-container {
    display: table;
    text-align: center;
    width: 100%;
  }
  .equation {
    vertical-align: middle;
  }
  .equation-label {
    display: table-cell;
    text-align: right;
    vertical-align: middle;
  }
  .inlinetask {
    padding: 10px;
    border: 2px solid gray;
    margin: 10px;
    background: #ffffcc;
  }
  #org-div-home-and-up
   { text-align: right; font-size: 70%; white-space: nowrap; }
  textarea { overflow-x: auto; }
  .linenr { font-size: smaller }
  .code-highlighted { background-color: #ffff00; }
  .org-info-js_info-navigation { border-style: none; }
  #org-info-js_console-label
    { font-size: 10px; font-weight: bold; white-space: nowrap; }
  .org-info-js_search-highlight
    { background-color: #ffff00; color: #000000; font-weight: bold; }
  .org-svg { width: 90%; }
</style>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
</head>
<body>
<div id="content" class="content">
<h1 class="title">Installing Manjaro in Dual Booting Environment</h1>
<div id="table-of-contents" role="doc-toc">
<h2>Table of Contents</h2>
<div id="text-table-of-contents" role="doc-toc">
<ul>
<li><a href="#org44f4a3c">Installing Manjaro in Dual Booting Environment</a></li>
<li><a href="#orgc0d261a">Manjaro</a></li>
<li><a href="#org97e5982">Installing</a>
<ul>
<li><a href="#org1e10fdc">Quick Notes</a></li>
<li><a href="#orgd3e1bd2">With Pre-partitioned Space</a></li>
<li><a href="#org8a43951">Without Pre-partitioned Space</a></li>
<li><a href="#orgd5517ec">After Installation</a></li>
</ul>
</li>
</ul>
</div>
</div>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><a href="../index.html">Home</a></td>
<td class="org-left"><a href="../dtos/index.html">DTOS</a></td>
<td class="org-left"><a href="../kb/index.html">Knowledge Base</a></td>
<td class="org-left"><a href="../community/index.html">Community</a></td>
<td class="org-left"><a href="../contribute/index.html">Contribute</a></td>
<td class="org-left"><a href="../support/index.html">Support DT&rsquo;s Work</a></td>
</tr>
</tbody>
</table>

<div id="outline-container-org44f4a3c" class="outline-2">
<h2 id="org44f4a3c">Installing Manjaro in Dual Booting Environment</h2>
<div class="outline-text-2" id="text-org44f4a3c">
<p>
<i>By Primož Ajdišek &ldquo;Bigpod&rdquo; at April 22, 2020</i>
</p>
</div>
</div>

<div id="outline-container-orgc0d261a" class="outline-2">
<h2 id="orgc0d261a">Manjaro</h2>
<div class="outline-text-2" id="text-orgc0d261a">
<p>
Manjaro is arch based distribution targeted at users ranging from low intermediate all the way to experts. Compared to arch it has 3 branches of package repositories. First and least stable branch is called unstable and this branch is somewhat closest to arch model rolling release, all packages will first arrive here. After days of testing in unstable branch they will get pushed to Testing branch where a bigger userbase will receive them. After Manjaro team gets enough of a confirmation that package is working as intended and stable it will get pushed to the stable branch which is its main branch and is branch most users use. One of the great benefits of Manjaro are its pre-configured editions. XFCE, Gnome and KDE Plasma 5 are Manjaro&rsquo;s 3 main editions with XFCE being its flagship. They also support some editions maintained by community. Among these aptly named community editions you can find i3 edition, openbox edition, mate edition and many more. You can install Manjaro two ways, the first one being the Calamares installer, which is Manjaro&rsquo;s main way of installing, or you can use advanced architect installer. Architect installer is an advanced TUI based installer with witch you can control almost every aspect of your Manjaro install making it truly your own.
</p>
</div>
</div>

<div id="outline-container-org97e5982" class="outline-2">
<h2 id="org97e5982">Installing</h2>
<div class="outline-text-2" id="text-org97e5982">
</div>
<div id="outline-container-org1e10fdc" class="outline-3">
<h3 id="org1e10fdc">Quick Notes</h3>
<div class="outline-text-3" id="text-org1e10fdc">
<ul class="org-ul">
<li>For dual booting I recommend usage of UEFI based systems if possible. This is why I will focus only on EFI installations.</li>
<li>I installed Manjaro besides Windows but you can install it beside any operating system.</li>
<li>This tutorial can be used for any distribution using Calamares installer.</li>
</ul>

<p>
There are two ways of tackling this problem if you have already pre-partitioned space for your Manjaro install or if you don&rsquo;t we will tackle both.
</p>
</div>
</div>

<div id="outline-container-orgd3e1bd2" class="outline-3">
<h3 id="orgd3e1bd2">With Pre-partitioned Space</h3>
<div class="outline-text-3" id="text-orgd3e1bd2">
<p>
So if you already pre-partitioned your drives and made space for your Linux distro you can go through your installation normally until you hit the Partitioning page where you select MANUAL PARTITIONING where you can select your free space and press create button in lower right corner of installer. Now in window that opens in the mount point section we do /. Now comes the hard part we need to find the EFI partition for me this partition was 99MB in size created automatically by windows installer. With FAT32 as its file system. When you find your EFI partition you can click edit button that sits besides create button we pressed earlier. You can also use edit button to identify which partition is EFI since it should have boot flag. When window opens for the right partition we type in Mount Point section /boot/efi and press OK with this we can do additional modifications if we want or just press next and follow installation procedure further.
</p>
</div>
</div>

<div id="outline-container-org8a43951" class="outline-3">
<h3 id="org8a43951">Without Pre-partitioned Space</h3>
<div class="outline-text-3" id="text-org8a43951">
<p>
Now what if we don&rsquo;t have pre-partitioned space we have two options we can do manual partitioning and manually split a partition by selecting MANUAL PARTITIONING then selecting partition we would like to split. By pressing edit we open a windows where we can in size section define a smaller size. This will make the existing partition the size of what we defined and create new free space when we press ok we come back to MANUAL PARTITIONING where we can continue by instructions from the part of article about pre-partitioned space.
</p>

<p>
Other way is using INSTALL ALONGSIDE which we can find on partitioning page of installer. When we select this option two bars appear in the bottom of the page. First bar shows how drive is currently partitioned. On this bar we can select which partition we want to split. When we select one second bar will change and split that partition down the middle with a vertical line with two arrows showing where one partition ends and other begins now you can move that vertical line to get both partitions however sized you want when you are happy you press next and follow the installation procedure further.
</p>
</div>
</div>

<div id="outline-container-orgd5517ec" class="outline-3">
<h3 id="orgd5517ec">After Installation</h3>
<div class="outline-text-3" id="text-orgd5517ec">
<p>
So now installation is complete when we reboot your system will open into a boot loader called GRUB here you can with your arrow keys select which operating system you want in my case this was Manjaro and Windows. Select the one you want and press enter and your system will boot into the selected environment.
</p>
</div>
</div>
</div>
</div>
<div id="postamble" class="status">
<p class="author">Author: dt</p>
<p class="date">Created: 2021-12-03 Fri 15:43</p>
</div>
</body>
</html>
